Package net.shibboleth.shared.servlet.impl

# Class NoOpHttpServletRequestValidator

java.lang.Object
net.shibboleth.shared.servlet.impl.NoOpHttpServletRequestValidator

All Implemented Interfaces:
  `HttpServletRequestValidator`

public class NoOpHttpServletRequestValidator extends Object implements HttpServletRequestValidator
Implementation of `HttpServletRequestValidator` which is always valid.

Since:
  9.1.4

## Constructor Summary

Constructors
Constructor
Description
`NoOpHttpServletRequestValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`validate(HttpServletRequest request)`
Validate the request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoOpHttpServletRequestValidator

public NoOpHttpServletRequestValidator()

## Method Details

### validate

public void validate(@Nonnull HttpServletRequest request) throws ServletException
Validate the request.

Specified by:
  `validate` in interface `HttpServletRequestValidator`
Parameters:
  `request` - the request to validate
Throws:
  `ServletException` - if the request is determined to be invalid